Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleAssertionRule

    java.lang.Object
      com.ibm.able.rules.AbleRule
          com.ibm.able.rules.AbleAssertionRule

All Implemented Interfaces:
  java.io.Serializable

public class AbleAssertionRule
extends AbleRule
implements java.io.Serializable

This class represents a rule comprised of a single assignment statement, function call or method invocation. It contains a single assertion clause.

See Also:
  `AbleAssertionClause`, Serialized Form

Field Summary
`protected AbleAssertionClause` | `myAssertion` myAssertion is the assertion clause representing an assignment, function call, or method invocation.

Fields inherited from class com.ibm.able.rules.AbleRule
`myBooleanTruth, myBreakpoint, myComment, myEnabled, myFinalFlag, myFiredCount, myFiredFlag, myId, myLabel, myLocation, myPreConditions, myPriority, myPrompt, myProperties, myRdRefs, myRuleBlock, myRuleSet, myTemplateFlag, myTemplateName, myTemplateValues, myWrRefs, PriorityDefault, RuleIdInitial`

Constructor Summary
`AbleAssertionRule(int theId, java.lang.String theLabel, AbleAssertionClause theAssertion, AbleRuleSet theRuleSet)` Create a new assertion rule with a default priority.
`AbleAssertionRule(int theId, java.lang.String theLabel, AbleRd thePriority, AbleAssertionClause theAssertion, AbleRuleSet theRuleSet)` Create a new assertion rule with the specified priority.
`AbleAssertionRule(java.lang.String theLabel, AbleAssertionClause theAssertion)` Create a new assertion rule with a default priority.
`AbleAssertionRule(java.lang.String theLabel, AbleRd thePriority, AbleAssertionClause theAssertion)` Create a new assertion rule with the specified priority.

Method Summary
`java.lang.String` | `arlString()` Return a formal Able Rule Language (ARL) string.
`java.lang.String` | `armlString()` Return a formal XML string.
`AbleAssertionClause` | `getAssertion()` Retrieve the rule's assertion clause, if any.
`java.lang.String` | `getTemplateString(java.util.Vector theTemplateVars)` Retrieve a text format string for use by rule templates.
`java.lang.String` | `toString()` Retrieve a string describing (the contents of) the object.
`java.lang.String` | `traceString(int theTraceStringFlavor)` Retrieve a string describing (the contents of) the object.
`java.lang.String` | `xmlString()` Return a formal XML string.

Methods inherited from class com.ibm.able.rules.AbleRule
`addHeaderRdReferences, addRdReference, addRdReferences, addWrReference, addWrReferences, arlActionBlockString, arlPreConditionsString, armlPreConditionsString, armlPriorityString, armlPropertiesString, checkTimePeriodPreConditions, clearBreakpoint, getArlComment, getBooleanTruth, getBreakpoint, getComment, getId, getIdLabelString, getLabel, getLocation, getMetaData, getPreConditions, getPriority, getPrompt, getPromptString, getProperties, getProperty, getRdReferences, getTemplateActionBlockString, getTemplateHeaderString, getTemplateName, getTemplateValues, getTemplateVars, getWrReferences, isDefaultPriority, isEnabled, isFinal, isFired, isGeneratedFromTemplate, isTemplate, logTrace, removeProperty, reset, setBooleanTruth, setBreakpoint, setComment, setEnabled, setFinal, setFired, setId, setLocation, setMetaData, setPreConditions, setPriority, setPrompt, setProperties, setProperty, setTemplate, setTemplateName, setTemplateValues, xmlPreConditionsString, xmlPriorityString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### myAssertion

    protected AbleAssertionClause myAssertion

  myAssertion is the assertion clause representing an assignment, function call, or method invocation.

Constructor Detail

### AbleAssertionRule

    public AbleAssertionRule(java.lang.String theLabel,
                             AbleAssertionClause theAssertion)

  Create a new assertion rule with a default priority.

Parameters:
  `theLabel` - The unique label, or name, of this rule.

  `theAssertion` - A single assignment statement that defines this assertion rule.

### AbleAssertionRule

    public AbleAssertionRule(java.lang.String theLabel,
                             AbleRd thePriority,
                             AbleAssertionClause theAssertion)

  Create a new assertion rule with the specified priority.

Parameters:
  `theLabel` - The unique label, or name, of this rule.

  `thePriority` - The priority of this rule.

  `theAssertion` - A single assignment statement that defines this assertion rule.

### AbleAssertionRule

    public AbleAssertionRule(int theId,
                             java.lang.String theLabel,
                             AbleAssertionClause theAssertion,
                             AbleRuleSet theRuleSet)

  Create a new assertion rule with a default priority.

Parameters:
  `theId` - The unique Id of this rule.

  `theLabel` - The unique label, or name, of this rule.

  `theAssertion` - A single assignment statement that defines this assertion rule.

  `theRuleSet` - The ruleset to which this rule belongs.

### AbleAssertionRule

    public AbleAssertionRule(int theId,
                             java.lang.String theLabel,
                             AbleRd thePriority,
                             AbleAssertionClause theAssertion,
                             AbleRuleSet theRuleSet)

  Create a new assertion rule with the specified priority.

Parameters:
  `theId` - The unique Id of this rule.

  `theLabel` - The unique label, or name, of this rule.

  `thePriority` - The priority of this rule.

  `theAssertion` - A single assignment statement that defines this assertion rule.

  `theRuleSet` - The ruleset to which this rule belongs.

Method Detail

### getAssertion

    public final AbleAssertionClause getAssertion()

  Retrieve the rule's assertion clause, if any.

  Returns:
    The assertion clause of the rule, or null if the rule has no assertion clause.

### arlString

    public java.lang.String arlString()

  Return a formal Able Rule Language (ARL) string.

  Specified by:
    `arlString` in class `AbleRule`
  Returns:
    A String describing the object in Able rule language.

### xmlString

    public java.lang.String xmlString()

  Return a formal XML string.

  Specified by:
    `xmlString` in class `AbleRule`
  Returns:
    A String describing the object in XML.

### armlString

    public java.lang.String armlString()

  Return a formal XML string.

  Specified by:
    `armlString` in class `AbleRule`
  Returns:
    A String describing the object in XML.

### getTemplateString

    public java.lang.String getTemplateString(java.util.Vector theTemplateVars)
                                       throws AbleDataException

  Retrieve a text format string for use by rule templates. The string contains "{n}" strings, where the index 'n' corresponds to the template variables defined in the rule template. This string is based on the standard arlString() representation of the rule. After replacement of the template variable values, the resulting string must be a valid ARL format string that can be parsed.

  Specified by:
    `getTemplateString` in class `AbleRule`
  Parameters:
    `theTemplateVars` - An ordered list of template variables referenced by this rule.
  Returns:
    A Text format string used to create a new rule instance.
  Throws:
    `AbleDataException`
  See Also:
    `AbleRuleTemplate`

### toString

    public java.lang.String toString()

  Retrieve a string describing (the contents of) the object.

  Overrides:
    `toString` in class `AbleRule`
  Returns:
    A String containing the current contents of the object.

### traceString

    public java.lang.String traceString(int theTraceStringFlavor)

  Retrieve a string describing (the contents of) the object.

  Specified by:
    `traceString` in class `AbleRule`
  Parameters:
    `theTraceStringFlavor` - An Able.TraceStringFlavor value.

  Returns:
    A String containing the current contents of the object.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005